import zope.interface

import interfaces

class RealConverter:
    zope.interface.implements(interfaces.IConverter)

    def currency_name(self):
        """Return the name of the target currency."""

        return "Real"
    
    def currency_symbol(self):
        """Return the symbol for the target currency, i.e. US$."""

        return "R$"
    
    def convert(self,usd_value):
        """Convert US$ value to the target currency."""

        return usd_value / 2.247
