import zope.interface

class IConverter(zope.interface.Interface):

    def currency_name():
        """Return the name of the target currency."""

    def currency_symbol():
        """Return the symbol for the target currency, i.e. US$."""
        
    def convert(usd_value):
        """Convert US$ value to the target currency."""
